Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen
[Java] Class DummyClassGenerator

    java.lang.Object
      org.codehaus.groovy.ast.CodeVisitorSupport
          org.codehaus.groovy.ast.ClassCodeVisitorSupport
              org.codehaus.groovy.classgen.ClassGenerator
                  org.codehaus.groovy.classgen.DummyClassGenerator

    public class DummyClassGenerator
    extends ClassGenerator

To generate a class that has all the fields and methods, except that fields are not initialized and methods are empty. It's intended for being used as a place holder during code generation of reference to the "this" class itself.

Authors:
  James Strachan
  Bing Ran

Version:
  \$Revision\$

Field Summary

Fields inherited from class ClassGenerator
innerClasses

Constructor Summary
`DummyClassGenerator(GeneratorContext context, org.objectweb.asm.ClassVisitor classVisitor, java.lang.ClassLoader classLoader, java.lang.String sourceFile)`

Method Summary
`protected CompileUnit` | `getCompileUnit()`
`void` | `visitAnnotations(AnnotatedNode node)`
`void` | `visitClass(ClassNode classNode)`
`void` | `visitConstructor(ConstructorNode node)`
`void` | `visitField(FieldNode fieldNode)`
`void` | `visitMethod(MethodNode node)`
`protected void` | `visitParameter(ASTNode node, Parameter parameter)`
`protected void` | `visitParameters(ASTNode node, Parameter[] parameters)`
`void` | `visitProperty(PropertyNode statement)` Creates a getter, setter and field

Methods inherited from class ClassGenerator
getInnerClasses, getSourceUnit, visitBytecodeSequence

Methods inherited from class ClassCodeVisitorSupport
addError, getSourceUnit, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop

Methods inherited from class CodeVisitorSupport
visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### DummyClassGenerator

    public DummyClassGenerator(GeneratorContext context, org.objectweb.asm.ClassVisitor classVisitor, java.lang.ClassLoader classLoader, java.lang.String sourceFile)

Method Detail

### getCompileUnit

    protected CompileUnit getCompileUnit()

### visitAnnotations

    public void visitAnnotations(AnnotatedNode node)

### visitClass

    public void visitClass(ClassNode classNode)

### visitConstructor

    public void visitConstructor(ConstructorNode node)

### visitField

    public void visitField(FieldNode fieldNode)

### visitMethod

    public void visitMethod(MethodNode node)

### visitParameter

    protected void visitParameter(ASTNode node, Parameter parameter)

### visitParameters

    protected void visitParameters(ASTNode node, Parameter[] parameters)

### visitProperty

    public void visitProperty(PropertyNode statement)

  Creates a getter, setter and field

Groovy Documentation